import Vue from 'vue'
import ElementUI from 'element-ui'

import App from './index.vue'


Vue.use(ElementUI);

export let btn = "<a href='javascript:void(0)' id='headerBtn' class='GooFlow_head_btn'><i  style='background-image: url(./img/" +
          'ico_save' + ".png);background-repeat: no-repeat;background-size:100% 100%;'/><span style='width: 28px;font-size: 14px;color: #333;-webkit-transform-origin-x: 0;-webkit-transform: scale(0.8);display: inline-block;'>选择1</span></a>";

const treeData = {}

export const renderHeaderBtn = (el) => {
  new Vue({
    el: el,
    data: function(){
      return {treeData}
    },
    // router,
    // store,
    // i18n,
    // template: '<App/>',
    // components: { App }
    render: h => h(App)
  })
}

export default {
  btn,
  renderHeaderBtn
}
